- NAME
- METHODS
  - Limit
- INTERNAL METHODS
  - AddRecord
- PRIVATE METHODS
  - _Init

# NAME

RT::Catalogs - a collection of RT::Catalog objects

# METHODS

Only additional methods or overridden behaviour beyond the RT::SearchBuilder (itself a DBIx::SearchBuilder) class are documented below.

## Limit

Defaults CASESENSITIVE to 0

# INTERNAL METHODS

Public methods which encapsulate implementation details. You shouldn't need to call these in normal code.

## AddRecord

Checks the RT::Catalog is readable before adding it to the results

# PRIVATE METHODS

## _Init

Sets default ordering by Name ascending.

← Back to index